Uploaded image for project: 'XWiki Platform'
  1. XWiki Platform
  2. XWIKI-18369

Patch the guess_lexer fix of Pygments 2.8.0 on Pygments 2.5.2

    XMLWordPrintable

    Details

    • Type: Improvement
    • Status: Open
    • Priority: Major
    • Resolution: Unresolved
    • Affects Version/s: 13.1-rc-1
    • Fix Version/s: None
    • Component/s: Rendering - Code Macro
    • Labels:
      None
    • Difficulty:
      Unknown
    • Similar issues:

      Description

      Pygments 2.5.2 is the latest release of Pygments that does not require Python 3, but presents a bug where the auto identification of the syntax of a piece of code returns too often MIME or SQL.

      This fix is available on Pygments 2.8.0 (https://github.com/pygments/pygments/commit/7e6dbb20ce189022f1b0a058f44bd1c0b9d529a5)) but requires python 3, which we do no support. We could backport it to a custom patched pygments 2.5.2 version.

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              Unassigned Unassigned
              Reporter:
              mleduc Manuel Leduc
              Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

                Dates

                Created:
                Updated: